from time import sleep

import yaml
from faker import Faker
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait


class Testaddmember:

    def setup_class(self):

        fake = Faker("zh_CN")
        self.username = fake.name()
        self.accid = fake.ssn()
        self.mobile = fake.phone_number()


        self.driver = webdriver.Chrome()

        self.driver.get("https://work.weixin.qq.com/wework_admin/loginpage_wx")

        with open("./data/cookies.yaml" , "r") as f:
            cookies = yaml.safe_load(f)

            for ck in cookies:
                self.driver.add_cookie(ck)

            self.driver.get("https://work.weixin.qq.com/wework_admin/loginpage_wx")

    def teardown_class(self):
        # self.driver.quit()
        pass

    def test_add_member(self):


        self.driver.find_element(By.LINK_TEXT, "通讯录").click()
        # sleep(5)

        self.driver.find_elements(By.LINK_TEXT, "添加成员")[0].click()

        sleep(2)

        self.driver.find_element(By.ID, "username").send_keys(self.username)

        self.driver.find_element(By.ID, "memberAdd_acctid").send_keys(self.accid)

        self.driver.find_element(By.ID, "memberAdd_phone").send_keys(self.mobile)

        self.driver.find_elements(By.CSS_SELECTOR, "a.qui_btn.ww_btn.js_btn_save")[0].click()

        tips = (By.ID, "js_tips")
        #显示等待WebDriverWait().until()

        WebDriverWait(self.driver, 10, 2).until(expected_conditions.visibility_of_element_located(tips))
        #获取断言标签的文本
        tips_value = self.driver.find_element(*tips).text

        assert "保存成功" == tips_value


