import os

import yaml



#由于self.driver和方法继承至BasePage 所以这里需要继承父类
from selenium.webdriver.common.by import By

from test_web_ui.test_po.Page_Object.basepage import BasePage
from test_web_ui.test_po.utils.utils import Utils


class LoginPage(BasePage):

    _BASE_URL_ = "https://work.weixin.qq.com/wework_admin/loginpage_wx"  #传参给初始化浏览器

    def login(self):

        self.driver.get("https://work.weixin.qq.com/wework_admin/loginpage_wx")
        path = os.sep.join([Utils.frame_path(), "data/cookies.yaml"])
        cookies = Utils.get_yaml(path)

        # with open("../data/cookies.yaml", "r") as f:
        #     cookies = yaml.safe_load(f)

        for ck in cookies:
            self.driver.add_cookie(ck)

            self.driver.get("https://work.weixin.qq.com/wework_admin/loginpage_wx")


        from test_web_ui.test_po.Page_Object.home_page import HomePage
        return HomePage(self.driver) #默认同一个driver 所以需要传参